/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebStepperDescription = /*@__PURE__*/ (() => {
    class WebStepperDescription extends Description {
        constructor() {
            super();
            this.f = null;
            this.o = null;
            this.q = null;
            this.i = false;
            this.h = false;
            this.n = null;
            this.r = null;
            this.p = null;
            this.m = null;
            this.l = null;
        }
        get_type() {
            return "WebStepper";
        }
        get type() {
            return this.get_type();
        }
        get steps() {
            return this.f;
        }
        set steps(a) {
            this.f = a;
            this.e("Steps");
        }
        get orientation() {
            return this.o;
        }
        set orientation(a) {
            this.o = a;
            this.e("Orientation");
        }
        get stepType() {
            return this.q;
        }
        set stepType(a) {
            this.q = a;
            this.e("StepType");
        }
        get linear() {
            return this.i;
        }
        set linear(a) {
            this.i = a;
            this.e("Linear");
        }
        get contentTop() {
            return this.h;
        }
        set contentTop(a) {
            this.h = a;
            this.e("ContentTop");
        }
        get dir() {
            return this.n;
        }
        set dir(a) {
            this.n = a;
            this.e("Dir");
        }
        get titlePosition() {
            return this.r;
        }
        set titlePosition(a) {
            this.r = a;
            this.e("TitlePosition");
        }
        get size() {
            return this.p;
        }
        set size(a) {
            this.p = a;
            this.e("Size");
        }
        get activeStepChangingRef() {
            return this.m;
        }
        set activeStepChangingRef(a) {
            this.m = a;
            this.e("ActiveStepChangingRef");
        }
        get activeStepChangedRef() {
            return this.l;
        }
        set activeStepChangedRef(a) {
            this.l = a;
            this.e("ActiveStepChangedRef");
        }
    }
    WebStepperDescription.$t = /*@__PURE__*/ markType(WebStepperDescription, 'WebStepperDescription', Description.$);
    return WebStepperDescription;
})();
